window.onload = function(){
	//キャンバスとコンテキスト取得
	var canvas = document.querySelector('#cvs');
	var context = canvas.getContext('2d');
	//塗りつぶし
	context.fillStyle = '#FF0088';
	context.fillRect(0, 0, 320, 240);
	//drawFive(context);
	var zoom = 0.2;
	//return;
	var timerID = window.setInterval(
		function(){
			//状態保存
			context.save();
			//拡大
			context.scale(zoom, zoom);
			zoom += 0.1;
			drawFive(context);
			//状態復元
			context.restore();
			if(zoom > 3.0) {
				clearInterval( timerID );
			}
		}, 200);
}
function drawFive(context){
	//線を引く
	context.strokeStyle = 'rgba(255, 255, 255, 0.8)';
	context.lineWidth = 12;
	context.beginPath();
	context.moveTo(150, 60);
	context.lineTo(100, 60);
	context.lineTo(100, 110); 
	context.arc(120, 140, 30, 
		-Math.PI / 2 , Math.PI, false);
	context.stroke();	
}
